
def generate_pulsed_signal(amplitude, pulse_duration, period, num_samples, filename):
    signal_data = []

    for i in range(num_samples):
        # Определяем находится ли текущий отсчет в фазе импульсаа
        if (i % period) < pulse_duration:
            signal_data.append(amplitude)
        else:
            signal_data.append(0) # Фаза паузы

    # Запись сигнала в файлик
    with open(filename, 'w') as f:
        for sample in signal_data:
            f.write(f"{sample}\n")

    return signal_data

